Bug 1299330 - UltraHD display appears as if resolution is reduced
UltraHD display appears as if resolution is reduced
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 01:56 EST by D. Hugh Redelmeier
Modified: 2016-12-20 12:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:58:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
picture of terminal under nouveau (bad) (1.10 MB, image/jpeg)
2016-01-18 01:56 EST, D. Hugh Redelmeier
no flags Details
picture of terminal under proprietary nvidia (good) (1.04 MB, image/jpeg)
2016-01-18 01:58 EST, D. Hugh Redelmeier
no flags Details
log of nouveau driver (88.82 KB, text/plain)
2016-01-18 02:00 EST, D. Hugh Redelmeier
no flags Details
log of nvidia driver (52.11 KB, text/plain)
2016-01-18 02:00 EST, D. Hugh Redelmeier
no flags Details

  None (edit)
Description D. Hugh Redelmeier 2016-01-18 01:56:35 EST
Created attachment 1115754 [details]
picture of terminal under nouveau (bad)

Description of problem:
On my 3840x2160@30 display, driven by a GTX 650 via HDMI 1.x using Nouveau, characters are very hard to read in a terminal.

If I switch to the proprietary nvidia driver, all is well.

(See attached photos of a terminal window.)

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.12-1.fc23.x86_64


How reproducible:
Always

Steps to Reproduce:
1. display text in a terminal
2. try to read it.

Actual results:
Very hard to read

Expected results:
Easy to read.

Additional info:

I'm attaching two reconstructions of the Xorg.0.log (darn journald for making this hard): one for nouveau and one for proprietary nvidia drive.

I'm also attaching a photograph of a term when running nouveau and one when running the proprietary nvidia driver.  Both photos appear to suffer from moire effects.

This problem has been around for a long time.  At least since Fedora 22, but I'm sure longer than that.

I'm guessing that this is some kind of clocking problem because transitions from black to white or vice versa seem to be reduced.

On the other hand, it might be something else.  For example, the monitor can only work with 4:2:2 chroma subsampling and if the driver isn't doing this, something bad will happen.
Comment 1 D. Hugh Redelmeier 2016-01-18 01:58 EST
Created attachment 1115755 [details]
picture of terminal under proprietary nvidia (good)
Comment 2 D. Hugh Redelmeier 2016-01-18 02:00 EST
Created attachment 1115756 [details]
log of nouveau driver
Comment 3 D. Hugh Redelmeier 2016-01-18 02:00 EST
Created attachment 1115757 [details]
log of nvidia driver
Comment 4 Fedora End Of Life 2016-11-24 10:01:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:58:14 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.